# Update person or company customer Update the account's person or company customer information. Fields not passed are not updated. This endpoint generates an [Account entity updated](https://developers.pismo.io/events/docs/audit-entity-change-1) event. # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Core platform - Accounts", "version": "1.0.0", "description": "API used to manage accounts domain", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io", "description": "API server for testing" } ], "tags": [ { "name": "Customers", "description": "Endpoints to manage customers" } ], "components": { "parameters": { "AccountIdPath": { "name": "accountId", "in": "path", "description": "Account ID", "required": true, "schema": { "type": "integer", "format": "int64", "minimum": 1, "example": 123 } }, "CorrelationIdHeader": { "in": "header", "name": "x-cid", "schema": { "type": "string" }, "description": "The Correlation IDentifier field is used to link related API requests and events. The `x-cid` can help the Pismo engineering team track everything related to a call. You can find the x-cid field in the response header from an API endpoint call.\n\nIf this field isn't passed, one is automatically generated.\n", "example": "5bb05174-4e80-11ea-b77f-2e728ce88125" }, "CustomerIdPath": { "name": "customerId", "in": "path", "description": "Customer ID", "required": true, "schema": { "type": "integer", "format": "int64", "example": 12345 } }, "OrganizationIdHeader": { "in": "header", "name": "x-tenant", "required": true, "description": "Organization ID", "schema": { "type": "string", "example": "TN-34778262-f4f0-464d-b4c6-a14e2dc6f4be" } } }, "schemas": { "IndividualsEmailAddress": { "type": "string", "description": "Email address.", "format": "email", "maxLength": 100, "example": "jenna.flect@email.com" }, "Activity": { "type": "string", "description": "Company's general field of activity", "maxLength": 30, "example": "Manufacturing" }, "Assets": { "type": "number", "format": "float", "description": "Assets", "example": 40000 }, "BirthDate": { "type": "string", "description": "Birth date. Format = dd/mm/yyyy.", "example": "31/12/1980" }, "BirthDate2": { "type": "string", "format": "date", "description": "Birth date. Format = yyyy-mm-dd.\n\nFor a company, this can be the company creation date.\n", "example": "1991-11-27" }, "CityOfBirth": { "type": "string", "description": "Birth city", "maxLength": 60, "example": "San Diego" }, "Company": { "properties": { "name": { "$ref": "#/components/schemas/CompanyRepresentativeName" }, "nickname": { "$ref": "#/components/schemas/CompanyRepresentativeNickname" }, "printed_name": { "$ref": "#/components/schemas/PrintedName3" }, "social_name": { "$ref": "#/components/schemas/CompanyRepresentativeSocialName" }, "pep": { "$ref": "#/components/schemas/PEP" }, "company_name": { "$ref": "#/components/schemas/CompanyName" }, "registration_number": { "$ref": "#/components/schemas/RegistrationNumber" }, "activity": { "$ref": "#/components/schemas/Activity" }, "company_type": { "$ref": "#/components/schemas/CompanyType" }, "company_format": { "$ref": "#/components/schemas/CompanyFormat" }, "occupation": { "$ref": "#/components/schemas/RepresentativeOccupation" }, "income": { "$ref": "#/components/schemas/CompanyIncome2" }, "net_worth": { "$ref": "#/components/schemas/CompanyNetWorth2" }, "annual_revenues": { "$ref": "#/components/schemas/CompanyAnnualRevenues" }, "type": { "$ref": "#/components/schemas/CompanyBusinessRelationsType" }, "number_of_partners": { "$ref": "#/components/schemas/NumberOfPartners" }, "perc_ownership": { "$ref": "#/components/schemas/PercOwnership" }, "fiscal_situation": { "$ref": "#/components/schemas/FiscalSituation" }, "debt": { "$ref": "#/components/schemas/CompanyDebt2" }, "email": { "$ref": "#/components/schemas/CompanyEmail" }, "partners": { "description": "Company partners", "type": "array", "items": { "$ref": "#/components/schemas/Partner" } } } }, "CompanyAnnualRevenues": { "type": "number", "format": "float", "description": "Company annual revenues (monthly billing average)", "example": 33000 }, "CompanyBusinessRelationsType": { "type": "string", "example": "B2C", "description": "Company's business relations type", "maxLength": 60 }, "CompanyConstitutionDate": { "type": "string", "description": "Company's operational start date. Format = yyyy-mm-dd.", "format": "date", "example": "2004-01-20" }, "CompanyConstitutionDate2": { "type": "string", "description": "Company constitution date. Format = dd/MM/yyyy.", "example": "01/01/2019" }, "CompanyDebt2": { "type": "number", "format": "float", "description": "Company's debt", "example": 18000 }, "CompanyEmail": { "type": "string", "description": "Company's registered email", "maxLength": 100, "example": "acme@acmemail.com" }, "CompanyFormat": { "type": "string", "description": "Company social type", "maxLength": 60, "example": "ME" }, "CompanyIncome2": { "type": "number", "format": "float", "description": "Company's income", "example": 10000 }, "CompanyName": { "type": "string", "description": "Company's legal name", "maxLength": 150, "example": "Acme Inc." }, "CompanyNetWorth2": { "type": "number", "format": "float", "description": "Company's net worth.", "example": 20000 }, "CompanyRepresentativeDocumentNumber": { "type": "string", "description": "Company representative's document number", "example": "12345678910" }, "CompanyRepresentativeName": { "type": "string", "description": "Company representative name", "example": "Sam Houston" }, "CompanyRepresentativeNickname": { "type": "string", "description": "Company representative nickname", "example": "Curveball" }, "CompanyRepresentativeSocialName": { "type": "string", "description": "Company representative's social name", "example": "Otter" }, "CompanyRequest": { "allOf": [ { "$ref": "#/components/schemas/Company" }, { "properties": { "company_constitution_date": { "$ref": "#/components/schemas/CompanyConstitutionDate2" } } } ] }, "CompanyResponse": { "allOf": [ { "$ref": "#/components/schemas/Company" }, { "properties": { "document_number": { "$ref": "#/components/schemas/CompanyRepresentativeDocumentNumber" }, "type_id": { "type": "integer", "format": "int32", "description": "Entity type ID (company `1` or person `2`).", "enum": [ 1, 2 ], "example": 2 }, "entity_type": { "$ref": "#/components/schemas/EntityType" }, "company_constitution_date": { "$ref": "#/components/schemas/CompanyConstitutionDate" } } } ] }, "CompanyType": { "type": "string", "description": "Company type", "maxLength": 60, "example": "Retailer" }, "CountryOfBirth": { "type": "string", "description": "Birth country", "maxLength": 60, "example": "India" }, "DocumentIssuedAt": { "type": "string", "description": "Document issuer location. This is a free-form field, not an ISO standard.", "maxLength": 30, "example": "Brazil" }, "DocumentIssuedBy": { "type": "string", "description": "Document issuer", "maxLength": 30 }, "DocumentIssuedDate": { "type": "string", "description": "Date document was issued. Format = dd/mm/yyyy.", "example": "01/31/1970" }, "DocumentNumber": { "type": "string", "maxLength": 15, "description": "Document number, such as a government tax ID.", "example": "31457828046" }, "DocumentType": { "type": "string", "description": "Document type. Free-form field, not an enum.", "maxLength": 30 }, "EntityType": { "type": "string", "description": "Entity type", "enum": [ "INDIVIDUAL", "COMPANY" ], "maxLength": 10, "example": "INDIVIDUAL" }, "FathersName": { "type": "string", "description": "Father's name", "maxLength": 60, "example": "Steven Douglas" }, "FiscalSituation": { "type": "string", "description": "Company's fiscal situation.", "maxLength": 60, "example": "Good" }, "Gender": { "type": "string", "description": "Gender", "maxLength": 1, "enum": [ "F", "M", "" ], "example": "M" }, "IndividualsName": { "type": "string", "description": "Name", "example": "Hyman Roth" }, "MaritalStatus": { "type": "string", "description": "Marital status", "enum": [ "SINGLE", "MARRIED", "DIVORCED", "WIDOWER" ], "example": "MARRIED" }, "MothersName": { "type": "string", "description": "Mother's name", "maxLength": 60, "example": "Kay Sadilla" }, "Nationality": { "type": "string", "description": "Nationality", "maxLength": 60, "example": "Australian" }, "Nickname": { "type": "string", "description": "Nickname.", "maxLength": 128, "example": "Pinto" }, "NumberOfPartners": { "type": "integer", "format": "int32", "description": "Number of company partners", "example": 3 }, "OtherIdNumber": { "type": "string", "description": "Another ID number", "example": "29000000" }, "Partner": { "type": "object", "description": "Applicant's personal information", "properties": { "name": { "$ref": "#/components/schemas/IndividualsName" }, "nickname": { "$ref": "#/components/schemas/Nickname" }, "printed_name": { "$ref": "#/components/schemas/PrintedName" }, "social_name": { "$ref": "#/components/schemas/SocialName" }, "email": { "$ref": "#/components/schemas/IndividualsEmailAddress" }, "document_number": { "$ref": "#/components/schemas/DocumentNumber" }, "mothers_name": { "$ref": "#/components/schemas/MothersName" }, "gender": { "$ref": "#/components/schemas/Gender" }, "birth_date": { "$ref": "#/components/schemas/BirthDate" }, "city_of_birth": { "$ref": "#/components/schemas/CityOfBirth" }, "state_of_birth": { "$ref": "#/components/schemas/StateOfBirth" }, "country_of_birth": { "$ref": "#/components/schemas/CountryOfBirth" }, "fathers_name": { "$ref": "#/components/schemas/FathersName" }, "marital_status": { "$ref": "#/components/schemas/MaritalStatus" } } }, "PEP": { "type": "boolean", "description": "Is this person a Politically Exposed Person (PEP)? Pismo doesn't do anything differently for a PEP, this is just additional account information. Default is `false`.\n", "example": false }, "PercOwnership": { "type": "number", "format": "float", "description": "Company percentage ownership", "example": 50 }, "Person": { "properties": { "name": { "$ref": "#/components/schemas/IndividualsName" }, "nickname": { "$ref": "#/components/schemas/Nickname" }, "printed_name": { "$ref": "#/components/schemas/PrintedName3" }, "social_name": { "$ref": "#/components/schemas/SocialName" }, "email": { "$ref": "#/components/schemas/IndividualsEmailAddress" }, "pep": { "$ref": "#/components/schemas/PEP" }, "gender": { "$ref": "#/components/schemas/Gender" }, "marital_status": { "$ref": "#/components/schemas/MaritalStatus" }, "mothers_name": { "$ref": "#/components/schemas/MothersName" }, "nationality": { "$ref": "#/components/schemas/Nationality" }, "city_of_birth": { "$ref": "#/components/schemas/CityOfBirth" }, "state_of_birth": { "$ref": "#/components/schemas/StateOfBirth" }, "country_of_birth": { "$ref": "#/components/schemas/CountryOfBirth" }, "other_id_number": { "$ref": "#/components/schemas/OtherIdNumber" }, "document_type": { "$ref": "#/components/schemas/DocumentType" }, "document_issued_by": { "$ref": "#/components/schemas/DocumentIssuedBy" }, "document_issued_at": { "$ref": "#/components/schemas/DocumentIssuedAt" }, "document_issued_date": { "$ref": "#/components/schemas/DocumentIssuedDate" }, "fathers_name": { "$ref": "#/components/schemas/FathersName" }, "occupation": { "$ref": "#/components/schemas/PersonOccupation" }, "assets": { "$ref": "#/components/schemas/Assets" }, "income": { "$ref": "#/components/schemas/PersonIncome" }, "net_worth": { "$ref": "#/components/schemas/PersonNetWorth" } } }, "PersonIncome": { "type": "number", "format": "float", "description": "Person's income", "example": 2000 }, "PersonNetWorth": { "type": "number", "format": "float", "description": "Person's net worth", "example": 50000 }, "PersonOccupation": { "type": "string", "description": "Person's occupation", "maxLength": 60, "example": "Programmer" }, "PersonRequest": { "allOf": [ { "$ref": "#/components/schemas/Person" }, { "properties": { "birth_date": { "$ref": "#/components/schemas/BirthDate" }, "document_issued_date": { "$ref": "#/components/schemas/DocumentIssuedDate" } } } ] }, "PersonResponse": { "allOf": [ { "$ref": "#/components/schemas/Person" }, { "properties": { "document_number": { "$ref": "#/components/schemas/DocumentNumber" }, "type_id": { "type": "integer", "format": "int32", "description": "Person type ID (company `1` or person `2`)", "enum": [ 1, 2 ], "example": 1 }, "entity_type": { "type": "string", "description": "Person type (company or person)", "example": "Person" }, "birth_date": { "$ref": "#/components/schemas/BirthDate2" }, "document_issued_date": { "$ref": "#/components/schemas/DocumentIssuedDate" } } } ] }, "PrintedName": { "type": "string", "description": "\nThis field is **DEPRECATED**. \n\nName to be printed on the card. \n\nPunctuation, special characters, and connectors (da/das/de/do/dos/e) are always removed. \n\nThis field's maximum length is 25, but you can set it to a lower value at the program level with the `Max name length on physical card` program parameter.\n\nIf `printed_name` is null, the Pismo platform uses `social_name`. If `social_name` is null, the Pismo platform uses the customer's entity name. For more information on the customer object, refer to [Core objects](https://developers.pismo.io/pismo-docs/docs/setup-overview#customer).\n\nThe Pismo platform gets the name for program parameter `TAMANHO MAX NOME EMBOSSADO` (max size name embossed).\n", "maxLength": 25, "deprecated": true, "example": "Jack Williams" }, "PrintedName3": { "type": "string", "description": "\nThis field is **DEPRECATED**. Cards is now responsible for this field.\n\nPerson's name to be printed on the card. If the field is null, `name` or `social_name` is used.\n\nPunctuation, special characters, and connectors (da/das/de/do/dos/e) are always removed. \n\nThis field's maximum lengh of this field is 25, but you can set it to a lower value on the program level with the `Max name length on physical card` program parameter.\n", "example": "Luce Lyons", "deprecated": true, "maxLength": 25 }, "RegistrationNumber": { "type": "string", "description": "Company's registration number with local authorities", "maxLength": 30, "example": "ACM10004" }, "RepresentativeOccupation": { "type": "string", "description": "Company representative's occupation", "maxLength": 60, "example": "CEO" }, "SimpleError": { "title": "SimpleError", "type": "object", "required": [ "message" ], "properties": { "message": { "type": "string", "description": "Error message" } } }, "SocialName": { "type": "string", "description": "Social name.", "maxLength": 64, "example": "Jack" }, "StateOfBirth": { "type": "string", "description": "Birth state", "maxLength": 60, "example": "California" } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "bearerFormat": "JWT" } } }, "security": [ { "BearerAuth": [] } ], "x-readme": { "explorer-enabled": true, "proxy-enabled": true, "samples-enabled": true }, "paths": { "/accounts/v1/accounts/{accountId}/customers/{customerId}/detail": { "patch": { "summary": "Update person or company customer", "description": "Update the account's person or company customer information.\n\nFields not passed are not updated.\n\nThis endpoint generates an [Account entity updated](https://developers.pismo.io/events/docs/audit-entity-change-1) event.\n", "operationId": "customerV1patch", "tags": [ "Customers" ], "parameters": [ { "$ref": "#/components/parameters/CorrelationIdHeader" }, { "$ref": "#/components/parameters/OrganizationIdHeader" }, { "$ref": "#/components/parameters/AccountIdPath" }, { "$ref": "#/components/parameters/CustomerIdPath" } ], "requestBody": { "description": "Customer properties to update", "required": false, "content": { "application/json": { "schema": { "type": "object", "oneOf": [ { "$ref": "#/components/schemas/PersonRequest" }, { "$ref": "#/components/schemas/CompanyRequest" } ] } } } }, "responses": { "200": { "description": "Customer details were successfully updated", "content": { "application/json": { "schema": { "type": "object", "oneOf": [ { "$ref": "#/components/schemas/PersonResponse" }, { "$ref": "#/components/schemas/CompanyResponse" } ] } } } }, "404": { "description": "Not found", "content": { "application/json": { "schema": { "properties": { "message": { "type": "string", "example": "Account not found" } } } } } }, "500": { "description": "Internal server error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/SimpleError" }, "examples": { "Internal server error": { "value": { "message": "Internal server error" } } } } } } } } } } } ```